Bug 836525 - RFE: Remove need for frequent Fedora authentication
RFE: Remove need for frequent Fedora authentication
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Authentication-Fedora (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Isaac Rooskov
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 07:58 EDT by Parag Nemade
Modified: 2015-08-06 01:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-27 03:03:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2012-06-29 07:58:58 EDT
Description of problem:
Its really annoying when zanata asks to sign in and its redirected to FAS authentication. Then after successful login it asks for "Approve OpenID Request?" which always happen. Even if you click on yes button it comes on each authentication. Please stop this message.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Runa Bhattacharjee 2012-07-30 08:47:53 EDT
Isn't this the standard feature of FAS?
Comment 2 David Mason 2012-11-13 02:47:30 EST
In version 2.0 it should now be possible to link a different authentication mechanism (e.g. google openid) to your account, and avoid the need to use FAS login every time.

See: https://github.com/zanata/zanata/wiki/Open-ID

Note You need to log in before you can comment on or make changes to this bug.